Windows 8

Can I get 1.9.2 update by using Windows 8 ?  Thanks

Hi CaptainFeena,

 

Windows 8 is no longer supported, you have to upgrade it to Windows 8.1 or above.

 

Thanks for undestanding.